Best version of Grail for Jbilling src

junaid.khan's Avatar

junaid.khan

09 Jan, 2017 10:47 AM

i tried many version new and old but all have one or other problem i.e for

 1.3.4
`no ivy file nor artifact found for org.drools#drools-decisiontables;5.0.1
grailsHome: no namespace defined: using system
`

3.1.0

JVM crashes because with exception of stack overflow ..

please suggest a version of grails which was meant for jbilling 4.x

  1. 1 Posted by vikas bodani on 09 Jan, 2017 02:02 PM

    vikas bodani's Avatar

    grails-2.4.3

    *Vikas Bodani*
    Mobile: +91-9828-605-495
    Web Data Technologies LLP, JAIPUR
    www.webdatatechnologies.in | @WebDataConsult

  2. 2 Posted by junaid.khan on 09 Jan, 2017 02:11 PM

    junaid.khan's Avatar

    Thanks vikas. that worked like a charm .
    i got another exception ..
     Error executing SQL INSERT INTO public.item_price (id, item_id, currency_id, price, optlock) VALUES ((select_price p), 2.0, 1.0, 20.0, 1 ):ERROR: Duplicate key value violated Unique-Constraint "item_price_pkey"

    the auto migration cause this error . same DB works fine with 3.1 currently ..

  3. 3 Posted by vikas bodani on 09 Jan, 2017 04:11 PM

    vikas bodani's Avatar

    Appears to be a data issue. Duplicate value for the item_price.id. You have
    to check the data that is being migrated to this db. May be its test data
    and so your upgrade script has to be inspected.

    *Vikas Bodani*
    Mobile: +91-9828-605-495
    Web Data Technologies LLP, JAIPUR
    www.webdatatechnologies.in | @WebDataConsult

  4. 4 Posted by junaid.khan on 09 Jan, 2017 04:49 PM

    junaid.khan's Avatar

    i solved the data issue but still have some problems . i can not grails run-app

    can you please tell me the reason . logs are attached . regards

  5. 5 Posted by vikas bodani on 09 Jan, 2017 06:22 PM

    vikas bodani's Avatar

    configure the db correctly. it may not be connecting to the right db.

    *Vikas Bodani*
    Mobile: +91-9828-605-495
    Web Data Technologies LLP, JAIPUR
    www.webdatatechnologies.in | @WebDataConsult

  6. 6 Posted by junaid.khan on 10 Jan, 2017 09:05 AM

    junaid.khan's Avatar

    I am connected to database 3.1 . will it auto update for i have to run some script ?
    i tried :

    groovy UpdateDB.groovy

    but i get this exception :
    No such property: includeTargets for class: UpgradeDb
    groovy.lang.MissingPropertyException: No such property: includeTargets for class: UpgradeDb

  7. 7 Posted by junaid.khan on 10 Jan, 2017 10:01 AM

    junaid.khan's Avatar

    grails upgrade-db -user=**** pass=***-db=jbilling_test -dbVersion=4.1 -url="jdbc:postgresql://****:5432/jbilling_test" -schema jbilloing

    causes this problem .
     Error Error executing script UpgradeDb: : liquibase.exception.MigrationFailedException: Migration failed for change set descriptors/database/jbilling-upgrade-4.1.xml::#11107 - Line Percentage::Rohit Gupta:
         Reason: liquibase.exception.DatabaseException: Error executing SQL ALTER TABLE jbilling.order_change ADD is_percentage BOOLEAN NOT NULL DEFAULT FALSE: ERROR: relation "jbilling.order_change" does not exist (Use --stacktrace to see the full trace)

  8. junaid.khan closed this discussion on 11 Jan, 2017 12:45 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac

Recent Discussions

18 Jul, 2018 03:01 AM
12 Jul, 2018 07:39 AM
10 Jul, 2018 07:29 AM
09 Jul, 2018 03:38 PM
09 Jul, 2018 09:46 AM

 

10 Apr, 2018 04:19 PM
28 Mar, 2018 10:39 AM
15 Mar, 2018 08:23 AM
26 Feb, 2018 11:19 AM
07 Feb, 2018 02:33 AM
07 Feb, 2018 02:31 AM